%mobile-mask {
  mask: url('~@/assets/images/mobile-mask-outside.svg') center/100% 100%
    no-repeat;
}

.mockup-mobile {
  position: relative;
  width: 100%;

  &__container {
    position: relative;
    @include size(100%, 0);
    box-sizing: border-box;
    padding-bottom: 202%;

    border-radius: 22%/3%;

    &:before {
      content: '';
      width: calc(100% + 2px);
      height: calc(100% + 2px);
      @include absolute-center;
      @extend %mobile-mask;

      border-radius: inherit;
      background: var(--border-gradient);
    }

    &:after {
      content: '';
      @include absolute-center;
      @include size(100%, 100%);
      @extend %mobile-mask;

      z-index: 1;
      border-radius: inherit;

      background-color: var(--background-color);
    }
  }

  &__blur {
    @extend %mobile-mask;
    @include absolute-center;
    @include size(100%, 100%);

    padding: 5%;
    box-sizing: border-box;

    border-radius: inherit;
    z-index: 4;

    @extend %base-blur;
    background-blend-mode: overlay, normal;
  }

  &__content {
    @include size(100%, 100%);
    mask: url('~@/assets/images/mobile-mask-inside.svg') center/100% 100%
      no-repeat;

    position: relative;
    z-index: 5;
    box-sizing: border-box;

    overflow-y: auto;
    @include custom-scroll-bar(0.4rem);
    // border-radius: 8%/4%;

    &.cropped-content {
      overflow: hidden;
    }

    &-container {
      @include size(100%, 100%);
    }

    img {
      display: block;
      width: 100%;
    }
  }

  &__details {
    @include size(18%, 1.5%);

    position: absolute;
    z-index: 5;
    top: 3%;
    left: 50%;
    transform: translateX(-50%);

    display: flex;
    justify-content: space-between;
    align-items: center;

    &:after {
      content: '';
      @include size(20%, 120%);
      border-radius: 50%;
      box-sizing: border-box;
      background-color: var(--background-accent-color);
    }

    &:before {
      content: '';
      @include size(67%, 70%);
      background-color: var(--background-accent-color);
      border-radius: 10%;
    }
  }

  &__gradient {
    z-index: 3;
    height: 100%;
  }
}
